Errors with iso19139.anzlic and geonetwork 3.4.3

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Errors with iso19139.anzlic and geonetwork 3.4.3

raean
Hi Geo network Users

I am having a few issues with iso19139.anzlic and 3.4.3.

The submodule for the iso standard compiles fine with 3.4.3. However
when I go to test the software after compiling with.

cd web; mvn jetty:run

I get exception errors thrown by jetty see below complaining about the
iso19139.anzlic schema.


      FileError:
      'http://localhost:8080/geonetwork/catalog/lib/style/bootstrap-3.0.1/bootstrap.less'
      wasn't found (404)

in bootstrap.less
<http://localhost:8080/geonetwork/catalog/lib/style/bootstrap-3.0.1/bootstrap.less>



  Raised exception while starting the application. Fix the error and
  restart.

*Message*

Failed whilst validating schema-ident file /home/arae/src/java/geonetwork_3.4.3/core-geonetwork/web/src/main/webapp/WEB-INF/data/config/schema_plugins/iso19139.anzlic/schema-ident.xml. Exception message if any is XSD Validation error(s):
<xsderrors>
   <error>
     <typeOfError>ERROR</typeOfError>
     <errorNumber>1</errorNumber>
     <message>cvc-complex-type.2.4.a: Invalid content was found starting with element 'depends'. One of '{"http://geonetwork-opensource.org/schemas/schema-ident":appMinorVersionSupported}' is expected. (Element: depends with parent element: schema)</message>
     <xpath>depends</xpath>
   </error>
</xsderrors>

*Handler*

org.fao.geonet.Geonetwork

*Exception*

OperationAbortedEx : Failed whilst validating schema-ident file /home/arae/src/java/geonetwork_3.4.3/core-geonetwork/web/src/main/webapp/WEB-INF/data/config/schema_plugins/iso19139.anzlic/schema-ident.xml. Exception message if any is XSD Validation error(s):
<xsderrors>
   <error>
     <typeOfError>ERROR</typeOfError>
     <errorNumber>1</errorNumber>
     <message>cvc-complex-type.2.4.a: Invalid content was found starting with element 'depends'. One of '{"http://geonetwork-opensource.org/schemas/schema-ident":appMinorVersionSupported}' is expected. (Element: depends with parent element: schema)</message>
     <xpath>depends</xpath>
   </error>
</xsderrors>

*Stack*

OperationAbortedEx : Failed whilst validating schema-ident file /home/arae/src/java/geonetwork_3.4.3/core-geonetwork/web/src/main/webapp/WEB-INF/data/config/schema_plugins/iso19139.anzlic/schema-ident.xml. Exception message if any is XSD Validation error(s):
<xsderrors>
   <error>
     <typeOfError>ERROR</typeOfError>
     <errorNumber>1</errorNumber>
     <message>cvc-complex-type.2.4.a: Invalid content was found starting with element 'depends'. One of '{"http://geonetwork-opensource.org/schemas/schema-ident":appMinorVersionSupported}' is expected. (Element: depends with parent element: schema)</message>
     <xpath>depends</xpath>
   </error>
</xsderrors>
        at org.fao.geonet.kernel.SchemaManager.processSchema(SchemaManager.java:1289)
        at org.fao.geonet.kernel.SchemaManager.configure(SchemaManager.java:224)
        at org.fao.geonet.Geonetwork.start(Geonetwork.java:243)
        at jeeves.server.JeevesEngine.initAppHandler(JeevesEngine.java:448)
        at jeeves.server.JeevesEngine.init(JeevesEngine.java:191)
        at jeeves.server.sources.http.JeevesServlet.init(JeevesServlet.java:84)
        at javax.servlet.GenericServlet.init(GenericServlet.java:244)
        at org.eclipse.jetty.servlet.ServletHolder.initServlet(ServletHolder.java:640)
        at org.eclipse.jetty.servlet.ServletHolder.initialize(ServletHolder.java:419)
        at org.eclipse.jetty.servlet.ServletHandler.initialize(ServletHandler.java:875)
        at org.eclipse.jetty.servlet.ServletContextHandler.startContext(ServletContextHandler.java:349)
        at org.eclipse.jetty.webapp.WebAppContext.startWebapp(WebAppContext.java:1404)
        at org.eclipse.jetty.maven.plugin.JettyWebAppContext.startWebapp(JettyWebAppContext.java:323)
        at org.eclipse.jetty.webapp.WebAppContext.startContext(WebAppContext.java:1366)
        at org.eclipse.jetty.server.handler.ContextHandler.doStart(ContextHandler.java:772)
        at org.eclipse.jetty.servlet.ServletContextHandler.doStart(ServletContextHandler.java:262)
        at org.eclipse.jetty.webapp.WebAppContext.doStart(WebAppContext.java:520)
        at org.eclipse.jetty.maven.plugin.JettyWebAppContext.doStart(JettyWebAppContext.java:398)
        at org.eclipse.jetty.util.component.AbstractLifeCycle.start(AbstractLifeCycle.java:68)
        at org.eclipse.jetty.util.component.ContainerLifeCycle.start(ContainerLifeCycle.java:132)
        at org.eclipse.jetty.util.component.ContainerLifeCycle.doStart(ContainerLifeCycle.java:114)
        at org.eclipse.jetty.server.handler.AbstractHandler.doStart(AbstractHandler.java:61)
        at org.eclipse.jetty.server.handler.ContextHandlerCollection.doStart(ContextHandlerCollection.java:161)
        at org.eclipse.jetty.util.component.AbstractLifeCycle.start(AbstractLifeCycle.java:68)
        at org.eclipse.jetty.util.component.ContainerLifeCycle.start(ContainerLifeCycle.java:132)
        at org.eclipse.jetty.util.component.ContainerLifeCycle.doStart(ContainerLifeCycle.java:114)
        at org.eclipse.jetty.server.handler.AbstractHandler.doStart(AbstractHandler.java:61)
        at org.eclipse.jetty.util.component.AbstractLifeCycle.start(AbstractLifeCycle.java:68)
        at org.eclipse.jetty.util.component.ContainerLifeCycle.start(ContainerLifeCycle.java:132)
        at org.eclipse.jetty.server.Server.start(Server.java:411)
        at org.eclipse.jetty.util.component.ContainerLifeCycle.doStart(ContainerLifeCycle.java:106)
        at org.eclipse.jetty.server.handler.AbstractHandler.doStart(AbstractHandler.java:61)
        at org.eclipse.jetty.server.Server.doStart(Server.java:378)
        at org.eclipse.jetty.util.component.AbstractLifeCycle.start(AbstractLifeCycle.java:68)
        at org.eclipse.jetty.maven.plugin.AbstractJettyMojo.startJetty(AbstractJettyMojo.java:460)
        at org.eclipse.jetty.maven.plugin.AbstractJettyMojo.execute(AbstractJettyMojo.java:328)
        at org.eclipse.jetty.maven.plugin.JettyRunMojo.execute(JettyRunMojo.java:170)
        at org.apache.maven.plugin.DefaultBuildPluginManager.executeMojo(DefaultBuildPluginManager.java:134)
        at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:207)
        at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:153)
        at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:145)
        at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:116)
        at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:80)
        at org.apache.maven.lifecycle.internal.builder.singlethreaded.SingleThreadedBuilder.build(SingleThreadedBuilder.java:51)
        at org.apache.maven.lifecycle.internal.LifecycleStarter.execute(LifecycleStarter.java:128)
        at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:307)
        at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:193)
        at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:106)
        at org.apache.maven.cli.MavenCli.execute(MavenCli.java:863)
        at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:288)
        at org.apache.maven.cli.MavenCli.main(MavenCli.java:199)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:498)
        at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:289)
        at org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:229)
        at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:415)
        at org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:356)
Caused by: XSDValidationErrorEx : XSD Validation error(s):
<xsderrors>
   <error>
     <typeOfError>ERROR</typeOfError>
     <errorNumber>1</errorNumber>
     <message>cvc-complex-type.2.4.a: Invalid content was found starting with element 'depends'. One of '{"http://geonetwork-opensource.org/schemas/schema-ident":appMinorVersionSupported}' is expected. (Element: depends with parent element: schema)</message>
     <xpath>depends</xpath>
   </error>
</xsderrors>
        at org.fao.geonet.utils.Xml.validate(Xml.java:878)
        at org.fao.geonet.utils.Xml.validate(Xml.java:862)
        at org.fao.geonet.kernel.SchemaManager.processSchema(SchemaManager.java:1275)
        ... 58 more

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
GeoNetwork-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geonetwork-users
GeoNetwork OpenSource is maintained at http://sourceforge.net/projects/geonetwork
Reply | Threaded
Open this post in threaded view
|

Re: Errors with iso19139.anzlic and geonetwork 3.4.3

Jose Garcia
Hi Andrew

About the appMinorVersionSupported error, you need to do a small change in
the schema, let me add the paragraph from the release mail:


*IMPORTANT: If you have a custom metadata schema, please check the
information in https://github.com/geonetwork/core-geonetwork/pull/2793
<https://github.com/geonetwork/core-geonetwork/pull/2793>, as will require
a change in schema-ident.xml to get them working in version 3.4.3.
The metadata schemas packaged in GeoNetwork are already updated.*


Apologies for inconvenience about this.

Regards,
Jose García

On Mon, Aug 20, 2018 at 2:06 AM, Andrew Rae <[hidden email]> wrote:

> Hi Geo network Users
>
> I am having a few issues with iso19139.anzlic and 3.4.3.
>
> The submodule for the iso standard compiles fine with 3.4.3. However when
> I go to test the software after compiling with.
>
> cd web; mvn jetty:run
>
> I get exception errors thrown by jetty see below complaining about the
> iso19139.anzlic schema.
>
>
>      FileError:
>      'http://localhost:8080/geonetwork/catalog/lib/style/bootstr
> ap-3.0.1/bootstrap.less'
>      wasn't found (404)
>
> in bootstrap.less <http://localhost:8080/geonetw
> ork/catalog/lib/style/bootstrap-3.0.1/bootstrap.less>
>
>
>  Raised exception while starting the application. Fix the error and
>  restart.
>
> *Message*
>
> Failed whilst validating schema-ident file /home/arae/src/java/geonetwork
> _3.4.3/core-geonetwork/web/src/main/webapp/WEB-INF/data/
> config/schema_plugins/iso19139.anzlic/schema-ident.xml. Exception message
> if any is XSD Validation error(s):
> <xsderrors>
>   <error>
>     <typeOfError>ERROR</typeOfError>
>     <errorNumber>1</errorNumber>
>     <message>cvc-complex-type.2.4.a: Invalid content was found starting
> with element 'depends'. One of '{"http://geonetwork-opensourc
> e.org/schemas/schema-ident":appMinorVersionSupported}' is expected.
> (Element: depends with parent element: schema)</message>
>     <xpath>depends</xpath>
>   </error>
> </xsderrors>
>
> *Handler*
>
> org.fao.geonet.Geonetwork
>
> *Exception*
>
> OperationAbortedEx : Failed whilst validating schema-ident file
> /home/arae/src/java/geonetwork_3.4.3/core-geonetwork/web/
> src/main/webapp/WEB-INF/data/config/schema_plugins/
> iso19139.anzlic/schema-ident.xml. Exception message if any is XSD
> Validation error(s):
> <xsderrors>
>   <error>
>     <typeOfError>ERROR</typeOfError>
>     <errorNumber>1</errorNumber>
>     <message>cvc-complex-type.2.4.a: Invalid content was found starting
> with element 'depends'. One of '{"http://geonetwork-opensourc
> e.org/schemas/schema-ident":appMinorVersionSupported}' is expected.
> (Element: depends with parent element: schema)</message>
>     <xpath>depends</xpath>
>   </error>
> </xsderrors>
>
> *Stack*
>
> OperationAbortedEx : Failed whilst validating schema-ident file
> /home/arae/src/java/geonetwork_3.4.3/core-geonetwork/web/
> src/main/webapp/WEB-INF/data/config/schema_plugins/
> iso19139.anzlic/schema-ident.xml. Exception message if any is XSD
> Validation error(s):
> <xsderrors>
>   <error>
>     <typeOfError>ERROR</typeOfError>
>     <errorNumber>1</errorNumber>
>     <message>cvc-complex-type.2.4.a: Invalid content was found starting
> with element 'depends'. One of '{"http://geonetwork-opensourc
> e.org/schemas/schema-ident":appMinorVersionSupported}' is expected.
> (Element: depends with parent element: schema)</message>
>     <xpath>depends</xpath>
>   </error>
> </xsderrors>
>         at org.fao.geonet.kernel.SchemaManager.processSchema(SchemaMana
> ger.java:1289)
>         at org.fao.geonet.kernel.SchemaManager.configure(SchemaManager.
> java:224)
>         at org.fao.geonet.Geonetwork.start(Geonetwork.java:243)
>         at jeeves.server.JeevesEngine.initAppHandler(JeevesEngine.java:
> 448)
>         at jeeves.server.JeevesEngine.init(JeevesEngine.java:191)
>         at jeeves.server.sources.http.JeevesServlet.init(JeevesServlet.
> java:84)
>         at javax.servlet.GenericServlet.init(GenericServlet.java:244)
>         at org.eclipse.jetty.servlet.ServletHolder.initServlet(ServletH
> older.java:640)
>         at org.eclipse.jetty.servlet.ServletHolder.initialize(ServletHo
> lder.java:419)
>         at org.eclipse.jetty.servlet.ServletHandler.initialize(ServletH
> andler.java:875)
>         at org.eclipse.jetty.servlet.ServletContextHandler.startContext
> (ServletContextHandler.java:349)
>         at org.eclipse.jetty.webapp.WebAppContext.startWebapp(WebAppCon
> text.java:1404)
>         at org.eclipse.jetty.maven.plugin.JettyWebAppContext.startWebap
> p(JettyWebAppContext.java:323)
>         at org.eclipse.jetty.webapp.WebAppContext.startContext(WebAppCo
> ntext.java:1366)
>         at org.eclipse.jetty.server.handler.ContextHandler.doStart(
> ContextHandler.java:772)
>         at org.eclipse.jetty.servlet.ServletContextHandler.doStart(Serv
> letContextHandler.java:262)
>         at org.eclipse.jetty.webapp.WebAppContext.doStart(WebAppContext
> .java:520)
>         at org.eclipse.jetty.maven.plugin.JettyWebAppContext.doStart(
> JettyWebAppContext.java:398)
>         at org.eclipse.jetty.util.component.AbstractLifeCycle.start(
> AbstractLifeCycle.java:68)
>         at org.eclipse.jetty.util.component.ContainerLifeCycle.start(
> ContainerLifeCycle.java:132)
>         at org.eclipse.jetty.util.component.ContainerLifeCycle.doStart(
> ContainerLifeCycle.java:114)
>         at org.eclipse.jetty.server.handler.AbstractHandler.doStart(
> AbstractHandler.java:61)
>         at org.eclipse.jetty.server.handler.ContextHandlerCollection.do
> Start(ContextHandlerCollection.java:161)
>         at org.eclipse.jetty.util.component.AbstractLifeCycle.start(
> AbstractLifeCycle.java:68)
>         at org.eclipse.jetty.util.component.ContainerLifeCycle.start(
> ContainerLifeCycle.java:132)
>         at org.eclipse.jetty.util.component.ContainerLifeCycle.doStart(
> ContainerLifeCycle.java:114)
>         at org.eclipse.jetty.server.handler.AbstractHandler.doStart(
> AbstractHandler.java:61)
>         at org.eclipse.jetty.util.component.AbstractLifeCycle.start(
> AbstractLifeCycle.java:68)
>         at org.eclipse.jetty.util.component.ContainerLifeCycle.start(
> ContainerLifeCycle.java:132)
>         at org.eclipse.jetty.server.Server.start(Server.java:411)
>         at org.eclipse.jetty.util.component.ContainerLifeCycle.doStart(
> ContainerLifeCycle.java:106)
>         at org.eclipse.jetty.server.handler.AbstractHandler.doStart(
> AbstractHandler.java:61)
>         at org.eclipse.jetty.server.Server.doStart(Server.java:378)
>         at org.eclipse.jetty.util.component.AbstractLifeCycle.start(
> AbstractLifeCycle.java:68)
>         at org.eclipse.jetty.maven.plugin.AbstractJettyMojo.startJetty(
> AbstractJettyMojo.java:460)
>         at org.eclipse.jetty.maven.plugin.AbstractJettyMojo.execute(
> AbstractJettyMojo.java:328)
>         at org.eclipse.jetty.maven.plugin.JettyRunMojo.execute(JettyRun
> Mojo.java:170)
>         at org.apache.maven.plugin.DefaultBuildPluginManager.executeMoj
> o(DefaultBuildPluginManager.java:134)
>         at org.apache.maven.lifecycle.internal.MojoExecutor.execute(Moj
> oExecutor.java:207)
>         at org.apache.maven.lifecycle.internal.MojoExecutor.execute(Moj
> oExecutor.java:153)
>         at org.apache.maven.lifecycle.internal.MojoExecutor.execute(Moj
> oExecutor.java:145)
>         at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.b
> uildProject(LifecycleModuleBuilder.java:116)
>         at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.b
> uildProject(LifecycleModuleBuilder.java:80)
>         at org.apache.maven.lifecycle.internal.builder.singlethreaded.S
> ingleThreadedBuilder.build(SingleThreadedBuilder.java:51)
>         at org.apache.maven.lifecycle.internal.LifecycleStarter.execute
> (LifecycleStarter.java:128)
>         at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:307)
>         at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:193)
>         at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:106)
>         at org.apache.maven.cli.MavenCli.execute(MavenCli.java:863)
>         at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:288)
>         at org.apache.maven.cli.MavenCli.main(MavenCli.java:199)
>         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>         at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAcce
> ssorImpl.java:62)
>         at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMe
> thodAccessorImpl.java:43)
>         at java.lang.reflect.Method.invoke(Method.java:498)
>         at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnha
> nced(Launcher.java:289)
>         at org.codehaus.plexus.classworlds.launcher.Launcher.launch(
> Launcher.java:229)
>         at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithEx
> itCode(Launcher.java:415)
>         at org.codehaus.plexus.classworlds.launcher.Launcher.main(
> Launcher.java:356)
> Caused by: XSDValidationErrorEx : XSD Validation error(s):
> <xsderrors>
>   <error>
>     <typeOfError>ERROR</typeOfError>
>     <errorNumber>1</errorNumber>
>     <message>cvc-complex-type.2.4.a: Invalid content was found starting
> with element 'depends'. One of '{"http://geonetwork-opensourc
> e.org/schemas/schema-ident":appMinorVersionSupported}' is expected.
> (Element: depends with parent element: schema)</message>
>     <xpath>depends</xpath>
>   </error>
> </xsderrors>
>         at org.fao.geonet.utils.Xml.validate(Xml.java:878)
>         at org.fao.geonet.utils.Xml.validate(Xml.java:862)
>         at org.fao.geonet.kernel.SchemaManager.processSchema(SchemaMana
> ger.java:1275)
>         ... 58 more
>
> ------------------------------------------------------------
> ------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> _______________________________________________
> GeoNetwork-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/geonetwork-users
> GeoNetwork OpenSource is maintained at http://sourceforge.net/project
> s/geonetwork
>



--













*Vriendelijke groeten / Kind regards,Jose García
<http://www.geocat.net/>Veenderweg 136721 WD BennekomThe NetherlandsT: +31
(0)318 416664 <+31318416664> <https://www.facebook.com/geocatbv>
<https://twitter.com/geocat_bv>
<https://plus.google.com/u/1/+GeocatNetbv/posts>Please consider the
environment before printing this email.*
------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
GeoNetwork-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geonetwork-users
GeoNetwork OpenSource is maintained at http://sourceforge.net/projects/geonetwork
Reply | Threaded
Open this post in threaded view
|

Re: Errors with iso19139.anzlic and geonetwork 3.4.3

Francois Prunayre
In reply to this post by raean
Hi Andrew,

For bootstrap.less, the issue is probably related to submodule. Could you
check you've those initialized properly ?
web-ui/src/main/resources/catalog/lib/bootstrap-table (1.8.1-333-gffb5dd4)
web-ui/src/main/resources/catalog/lib/style/bootstrap
(v2.3.1-8268-g0b9c4a400)
web-ui/src/main/resources/catalog/lib/style/font-awesome (v4.4.0)

git submodule update should do it.

HTH

Francois

Le lun. 20 août 2018 à 02:23, Andrew Rae <[hidden email]> a écrit :

> Hi Geo network Users
>
> I am having a few issues with iso19139.anzlic and 3.4.3.
>
> The submodule for the iso standard compiles fine with 3.4.3. However
> when I go to test the software after compiling with.
>
> cd web; mvn jetty:run
>
> I get exception errors thrown by jetty see below complaining about the
> iso19139.anzlic schema.
>
>
>       FileError:
>       '
> http://localhost:8080/geonetwork/catalog/lib/style/bootstrap-3.0.1/bootstrap.less
> '
>       wasn't found (404)
>
> in bootstrap.less
> <
> http://localhost:8080/geonetwork/catalog/lib/style/bootstrap-3.0.1/bootstrap.less>
>
>
>
>
>   Raised exception while starting the application. Fix the error and
>   restart.
>
> *Message*
>
> Failed whilst validating schema-ident file
> /home/arae/src/java/geonetwork_3.4.3/core-geonetwork/web/src/main/webapp/WEB-INF/data/config/schema_plugins/iso19139.anzlic/schema-ident.xml.
> Exception message if any is XSD Validation error(s):
> <xsderrors>
>    <error>
>      <typeOfError>ERROR</typeOfError>
>      <errorNumber>1</errorNumber>
>      <message>cvc-complex-type.2.4.a: Invalid content was found starting
> with element 'depends'. One of '{"
> http://geonetwork-opensource.org/schemas/schema-ident":appMinorVersionSupported}'
> is expected. (Element: depends with parent element: schema)</message>
>      <xpath>depends</xpath>
>    </error>
> </xsderrors>
>
> *Handler*
>
> org.fao.geonet.Geonetwork
>
> *Exception*
>
> OperationAbortedEx : Failed whilst validating schema-ident file
> /home/arae/src/java/geonetwork_3.4.3/core-geonetwork/web/src/main/webapp/WEB-INF/data/config/schema_plugins/iso19139.anzlic/schema-ident.xml.
> Exception message if any is XSD Validation error(s):
> <xsderrors>
>    <error>
>      <typeOfError>ERROR</typeOfError>
>      <errorNumber>1</errorNumber>
>      <message>cvc-complex-type.2.4.a: Invalid content was found starting
> with element 'depends'. One of '{"
> http://geonetwork-opensource.org/schemas/schema-ident":appMinorVersionSupported}'
> is expected. (Element: depends with parent element: schema)</message>
>      <xpath>depends</xpath>
>    </error>
> </xsderrors>
>
> *Stack*
>
> OperationAbortedEx : Failed whilst validating schema-ident file
> /home/arae/src/java/geonetwork_3.4.3/core-geonetwork/web/src/main/webapp/WEB-INF/data/config/schema_plugins/iso19139.anzlic/schema-ident.xml.
> Exception message if any is XSD Validation error(s):
> <xsderrors>
>    <error>
>      <typeOfError>ERROR</typeOfError>
>      <errorNumber>1</errorNumber>
>      <message>cvc-complex-type.2.4.a: Invalid content was found starting
> with element 'depends'. One of '{"
> http://geonetwork-opensource.org/schemas/schema-ident":appMinorVersionSupported}'
> is expected. (Element: depends with parent element: schema)</message>
>      <xpath>depends</xpath>
>    </error>
> </xsderrors>
>         at
> org.fao.geonet.kernel.SchemaManager.processSchema(SchemaManager.java:1289)
>         at
> org.fao.geonet.kernel.SchemaManager.configure(SchemaManager.java:224)
>         at org.fao.geonet.Geonetwork.start(Geonetwork.java:243)
>         at jeeves.server.JeevesEngine.initAppHandler(JeevesEngine.java:448)
>         at jeeves.server.JeevesEngine.init(JeevesEngine.java:191)
>         at
> jeeves.server.sources.http.JeevesServlet.init(JeevesServlet.java:84)
>         at javax.servlet.GenericServlet.init(GenericServlet.java:244)
>         at
> org.eclipse.jetty.servlet.ServletHolder.initServlet(ServletHolder.java:640)
>         at
> org.eclipse.jetty.servlet.ServletHolder.initialize(ServletHolder.java:419)
>         at
> org.eclipse.jetty.servlet.ServletHandler.initialize(ServletHandler.java:875)
>         at
> org.eclipse.jetty.servlet.ServletContextHandler.startContext(ServletContextHandler.java:349)
>         at
> org.eclipse.jetty.webapp.WebAppContext.startWebapp(WebAppContext.java:1404)
>         at
> org.eclipse.jetty.maven.plugin.JettyWebAppContext.startWebapp(JettyWebAppContext.java:323)
>         at
> org.eclipse.jetty.webapp.WebAppContext.startContext(WebAppContext.java:1366)
>         at
> org.eclipse.jetty.server.handler.ContextHandler.doStart(ContextHandler.java:772)
>         at
> org.eclipse.jetty.servlet.ServletContextHandler.doStart(ServletContextHandler.java:262)
>         at
> org.eclipse.jetty.webapp.WebAppContext.doStart(WebAppContext.java:520)
>         at
> org.eclipse.jetty.maven.plugin.JettyWebAppContext.doStart(JettyWebAppContext.java:398)
>         at
> org.eclipse.jetty.util.component.AbstractLifeCycle.start(AbstractLifeCycle.java:68)
>         at
> org.eclipse.jetty.util.component.ContainerLifeCycle.start(ContainerLifeCycle.java:132)
>         at
> org.eclipse.jetty.util.component.ContainerLifeCycle.doStart(ContainerLifeCycle.java:114)
>         at
> org.eclipse.jetty.server.handler.AbstractHandler.doStart(AbstractHandler.java:61)
>         at
> org.eclipse.jetty.server.handler.ContextHandlerCollection.doStart(ContextHandlerCollection.java:161)
>         at
> org.eclipse.jetty.util.component.AbstractLifeCycle.start(AbstractLifeCycle.java:68)
>         at
> org.eclipse.jetty.util.component.ContainerLifeCycle.start(ContainerLifeCycle.java:132)
>         at
> org.eclipse.jetty.util.component.ContainerLifeCycle.doStart(ContainerLifeCycle.java:114)
>         at
> org.eclipse.jetty.server.handler.AbstractHandler.doStart(AbstractHandler.java:61)
>         at
> org.eclipse.jetty.util.component.AbstractLifeCycle.start(AbstractLifeCycle.java:68)
>         at
> org.eclipse.jetty.util.component.ContainerLifeCycle.start(ContainerLifeCycle.java:132)
>         at org.eclipse.jetty.server.Server.start(Server.java:411)
>         at
> org.eclipse.jetty.util.component.ContainerLifeCycle.doStart(ContainerLifeCycle.java:106)
>         at
> org.eclipse.jetty.server.handler.AbstractHandler.doStart(AbstractHandler.java:61)
>         at org.eclipse.jetty.server.Server.doStart(Server.java:378)
>         at
> org.eclipse.jetty.util.component.AbstractLifeCycle.start(AbstractLifeCycle.java:68)
>         at
> org.eclipse.jetty.maven.plugin.AbstractJettyMojo.startJetty(AbstractJettyMojo.java:460)
>         at
> org.eclipse.jetty.maven.plugin.AbstractJettyMojo.execute(AbstractJettyMojo.java:328)
>         at
> org.eclipse.jetty.maven.plugin.JettyRunMojo.execute(JettyRunMojo.java:170)
>         at
> org.apache.maven.plugin.DefaultBuildPluginManager.executeMojo(DefaultBuildPluginManager.java:134)
>         at
> org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:207)
>         at
> org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:153)
>         at
> org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:145)
>         at
> org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:116)
>         at
> org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:80)
>         at
> org.apache.maven.lifecycle.internal.builder.singlethreaded.SingleThreadedBuilder.build(SingleThreadedBuilder.java:51)
>         at
> org.apache.maven.lifecycle.internal.LifecycleStarter.execute(LifecycleStarter.java:128)
>         at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:307)
>         at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:193)
>         at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:106)
>         at org.apache.maven.cli.MavenCli.execute(MavenCli.java:863)
>         at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:288)
>         at org.apache.maven.cli.MavenCli.main(MavenCli.java:199)
>         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>         at
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
>         at
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
>         at java.lang.reflect.Method.invoke(Method.java:498)
>         at
> org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:289)
>         at
> org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:229)
>         at
> org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:415)
>         at
> org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:356)
> Caused by: XSDValidationErrorEx : XSD Validation error(s):
> <xsderrors>
>    <error>
>      <typeOfError>ERROR</typeOfError>
>      <errorNumber>1</errorNumber>
>      <message>cvc-complex-type.2.4.a: Invalid content was found starting
> with element 'depends'. One of '{"
> http://geonetwork-opensource.org/schemas/schema-ident":appMinorVersionSupported}'
> is expected. (Element: depends with parent element: schema)</message>
>      <xpath>depends</xpath>
>    </error>
> </xsderrors>
>         at org.fao.geonet.utils.Xml.validate(Xml.java:878)
>         at org.fao.geonet.utils.Xml.validate(Xml.java:862)
>         at
> org.fao.geonet.kernel.SchemaManager.processSchema(SchemaManager.java:1275)
>         ... 58 more
>
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> _______________________________________________
> GeoNetwork-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/geonetwork-users
> GeoNetwork OpenSource is maintained at
> http://sourceforge.net/projects/geonetwork
>
------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
GeoNetwork-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geonetwork-users
GeoNetwork OpenSource is maintained at http://sourceforge.net/projects/geonetwork